$(document).ready(function() {
    $("#id_lat").prop("readonly", true);
    $("#id_lng").prop("readonly", true);
    var initialLan = $('#id_lat').val();
    var initialLng = $('#id_lng').val();
    var map;
    var markers = [];
    function initialize() {
        var myLatlng = new google.maps.LatLng(initialLan, initialLng);
        var mapOptions = {
            scrollwheel: false,
            zoom: 16,
            center: myLatlng,
        };
        var map = new google.maps.Map(document.getElementById('google-map-canvas'), mapOptions);
        var marker = new google.maps.Marker({
            position: myLatlng,
            map: map,
            label: 'O',
        });
        google.maps.event.addListener(map, 'click', function(event) {
            deleteMarkers();
            placeMarker(event.latLng);
            $('#id_lat').val(event.latLng.lat());
            $('#id_lng').val(event.latLng.lng());
            $('#id_lat').css('background-color', 'yellow');
            $('#id_lng').css('background-color', 'yellow');
        });
        function placeMarker(location) {
            var marker = new google.maps.Marker({
                position: location,
                map: map,
                label: 'N',
            });
            markers.push(marker);
        }
    }
    function deleteMarkers() {
      clearMarkers();
      markers = [];
    }
    function clearMarkers() {
      setAllMap(null);
    }
    function setAllMap(map) {
      for (var i = 0; i < markers.length; i++) {
        markers[i].setMap(map);
      }
    }
    $('#clear_gmap').click(function(e){
        e.preventDefault();
        deleteMarkers();
        $('#id_lat').val(initialLan);
        $('#id_lng').val(initialLng);
        $('#id_lat').css('background-color', '#f5f5f5');
        $('#id_lng').css('background-color', '#f5f5f5');
    });
    google.maps.event.addDomListener(window, 'load', initialize);
});
