#! -*- coding: utf-8 -*-

from django import forms
from django.utils.translation import ugettext_lazy as _

from acomea.distributor.models import Distributor, Branch
from acomea.distributor.validators import validate_excel_extensions


class BranchImportForm(forms.Form):
    distributor = forms.ModelChoiceField(
        label=_("Distributor"),
        queryset=Distributor.objects.all(),
        required=True,
    )
    file_to_import = forms.FileField(
        required=True,
        label=_('Select a file'),
        validators=[validate_excel_extensions],
    )