#! -*- coding: utf-8 -*-

from django.db import transaction

from jmb.core.utils.data_import import XlsFile
from acomea.distributor.models import Branch


class BranchImportData(XlsFile):

    fields_map = {
        "name": "name",
        "city": "city",
        "address": "address",
        "cap": "cap",
        "province": "province",
        "email": "email",
        "phone": "phone",
    }

    def __init__(self, filename=None, file_contents=None, auto=False, sheet_index=0, opts=None, model=None):
        super(BranchImportData, self).__init__(filename, file_contents, auto, sheet_index, opts, model)
        self.distributor = self.opts['distributor']
        self.distributor.branches.filter(is_changed=False).delete()

    @transaction.commit_manually
    def do(self, row, kw, j):
        try:
            kw['distributor'] = self.distributor
            kw['city'] = row.city.strip()[:100]
            kw['cap'] = "{}".format(int(row.cap)).strip()[:5]
            kw['address'] = row.address.strip()[:250]
            if not self.distributor.branches.filter(
                distributor=self.distributor, city__iexact=kw['cap'], address__iexact=kw['address']
            ).count():
                Branch.objects.create(**kw)
                transaction.commit()
                self.messages['inserted'] += 1
            else:
                existing_msg = _("Branch already found")
                self.messages['errors'].append(existing_msg)
        except Exception, e:
            print e
            transaction.rollback()