# -*- coding: utf-8 -*-

from django.core.urlresolvers import reverse

from jmb.core.views.import_data import ImportDataView
from acomea.distributor.admin_forms import BranchImportForm
from acomea.distributor.admin_imports import BranchImportData
from acomea.distributor.models import Branch


class BranchImportView(ImportDataView):
    template_name = 'admin/distributor/branch/import.html'
    import_class = BranchImportData
    form_class = BranchImportForm

    def get_context_data(self, **kwargs):
        context = super(BranchImportView, self).get_context_data(**kwargs)
        opts = Branch._meta
        context['opts'] = opts
        context['app_label'] = opts.app_label
        return context

    @property
    def redirect_url(self):
        return reverse('admin:distributor_branch_changelist')