$(document).ready(function() {
    var url = $("#map").data('url');
    var infowindow = null;
    var map = null;
    var autocomplete = null;
    var markers = [];
    var input = /** @type {!HTMLInputElement} */(document.getElementById('pac-input'));
    $("#s2id_id_distributors").width("100%");
    $("#map-loading").hide();
    $("#id_distributors").change(function(event){
        event.preventDefault();
        var data = {'distributors': $(this).val()};
        drawOnMap(data);
    });
    function initialize() {
        map = new google.maps.Map(document.getElementById('map'), {
            center: {lat: 45.475427, lng: 9.194705},
            zoom: 10
        });
        infowindow = new google.maps.InfoWindow();
        map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);
        // Inizializzazione autocomplete google
        autocomplete = new google.maps.places.Autocomplete(input);
        autocomplete.bindTo('bounds', map);
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(function(position) {
                var pos = {
                    lat: position.coords.latitude,
                    lng: position.coords.longitude
                };
                map.setCenter(pos);
                map.setZoom(10);
            });
        }
        // Gestione selezione nuovo indirizzo da autocomplete google
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            var address = '';
            if (!place.geometry) {
                return;
            }
            if (place.geometry.viewport) {
                map.fitBounds(place.geometry.viewport);
            } else {
                map.setCenter(place.geometry.location);
                map.setZoom(10);
            }
        });
        if ($("#map").data('distributor') != '0') {
            var data = {'distributors': [$("#map").data('distributor')]};
            drawOnMap(data);
        }
    }
    function drawOnMap(data){
        deleteMarkers();
        $("#map-loading").show();
        $.getJSON(url, data, function(result) {
            $("#map-loading").hide();
            for (i = 0; i < result.length; i++) {
                branch_json = result[i];
                html = branch_json.marker_html;
                pinLatLng = new google.maps.LatLng(branch_json.lat, branch_json.lng);
                pinMarkers = new google.maps.Marker({
                    position: pinLatLng,
                    map: map,
                    html: html,
                    icon: branch_json.distributor_marker
                });
                markers.push(pinMarkers);
            };
            for (var i = 0; i < markers.length; i++) {
                var marker = markers[i];
                google.maps.event.addListener(marker, 'click', function () {
                    infowindow.setContent(this.html);
                    infowindow.open(map, this);
                });
            }
        });
    }
    function deleteMarkers() {
      clearMarkers();
      markers = [];
    }
    function clearMarkers() {
      setAllMap(null);
    }
    function setAllMap(map) {
      for (var i = 0; i < markers.length; i++) {
        markers[i].setMap(map);
      }
    }
    google.maps.event.addDomListener(window, 'load', initialize);
});


