# coding: utf-8

from rest_framework import generics

from acomea.distributor.models import Distributor, Branch
from acomea.distributor import serializers


class DistributorListView(generics.ListAPIView):
    queryset = Distributor.objects.all()
    serializer_class = serializers.DistributorSerializer
    authentication_classes = []


class BranchListView(generics.ListAPIView):
    queryset = Branch.objects.all()
    serializer_class = serializers.BranchSerializer
    authentication_classes = []

    def get_queryset(self):
        qs = super(BranchListView, self).get_queryset()
        if "distributors[]" in self.request.GET:
            distributors = [int(id) for id in self.request.GET.getlist('distributors[]')]
            qs = qs.filter(distributor__id__in=distributors)
        else:
            qs = qs.none()
        return qs
